Subject: Re: [v2 PATCH 1/2] NETFILTER module xt_hmark new target for HASH based fw

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 15 Nov 2011 11:01:00 +0100

On Mon, Nov 14, 2011 at 12:38:28PM +0100, Jan Engelhardt wrote:
> On Monday 2011-11-14 10:19, Hans Schillstrom wrote:
> 
> >
> >On Sunday, November 13, 2011 18:05:28 Pablo Neira Ayuso wrote:
> >> BTW, I think you should split xt_HMARK to ipt_HMARK and ip6t_HMARK
> >> (see recent Florian Westphal patches regarding reserve lookup for
> >> instance).
> >> 
> >> The IPv4 and IPv6 parts for HMARK look so different that I don't think
> >> it makes sense to keep them into one single xt_HMARK thing with all
> >> those conditional ifdefs for IPV6.
> >>
> >Ok I'll do that, for some reason a thought it was better with one module.
> 
> So do I. The module overhead is so much larger.

Yes, it will if both modules are loaded.

I think it depends, if you only load IPv4 support, the overhead will
be smaller than having everything into one module.

But I'm open to more discussion on this, of course.